<?php include dirname(path: __DIR__) . '/_header.html.php'; ?>

<h2>User list</h2>
<table>
    <tr>
        <th>Nick</th>
        <th>First</th>
        <th>Last</th>
        <th>Is Admin</th>
        <th colspan="2">&nbsp;</th>
    </tr>
    <?php foreach ($users as $userLine): ?>
        <tr>
            <td><?= $userLine->getNick() ?></td>
            <td><?= $userLine->getFirst() ?></td>
            <td><?= $userLine->getLast() ?></td>
            <td style="text-align: center;">
                <?php if ($userLine->isAdmin()): ?>
                    ☑️
                <?php else: ?>
                    👎
                <?php endif; ?>
            </td>
            <td>
                <a href="<?= $router->path('app_admin_users_edit', vars: ['nick' => $userLine->getNick()]); ?>">edit</a>
            </td>
            <td>
                <a href="<?= $router->path('app_admin_users_delete', vars: ['nick' => $userLine->getNick()]); ?>">delete</a>
            </td>
        </tr>
    <?php endforeach; ?>
</table>
<a href="<?= $router->path('app_admin_users_add'); ?>">Add User</a>

<?php include dirname(path: __DIR__) . '/_footer.html.php' ?>
